ATUALIZAÇÃO MANTRAN - TLS 1.2 OU SUPERIOR

  • ATENÇÃO PARA AS MUDANÇAS DE EMISSÃO DE CTE E MDFE A PARTIR DE ABRIL


  • Na próxima segunda-feira (02/04/2018) serão implementadas as regras estipuladas na nota técnica 2017.002 do CT-e, que muda o protocolo de comunicação, permitindo exclusivamente o protocolo TLS 1.2 ou superior. Veja a seguir como isso poderá afetar a emissão do seu CTe.


  • Até o ano passado, foi divulgado que a NFe, na sua nova versão, a 4.0, não funcionará mais em Window XP e Vista. Nesse sentido, as alterações do CTe seguem o mesmo padrão. Por questões de segurança, a partir de abril de 2018, a SEFAZ aceitará somente conexões com o protocolo de segurança TLS 1.2 ou superior.
  • Até o momento, é permitido o uso de protocolos inferiores, como o caso da SSL. Para que você fique por dentro sobre o que são estes protocolos, confira abaixo uma breve explicação:


  • "O SSL (Secure Sockets Layer – Protocolo de Camada de Segura) e seu sucessor TLS (Transport Layer Security – Segurança da Camada de Transporte) são protocolos de criptografia projetados para internet, que permitem a comunicação segura entre um computador e um servidor, para a utilização de serviços como e-mail, navegação por páginas, utilização de aplicativos de banco, pagamentos via internet e outros tipos de transferência de dados, como emissão de CTe e NFe".



  • Além dos protocolos de segurança, há mais um detalhe a ser verificado.
  •  Outro item incompatível com o TLS 1.2 é o componente Microsoft .NET Framework 3.5, existentes em algumas versões mais antigas do Windows. Para garantir a emissão do CTe, é importante que os usuários migrem para o Microsoft .NET Framework 4.6.2.


  • Quais mudanças serão necessárias nas empresas?
  • Como consequência, alguns sistemas operacionais mais antigos não permitirão a emissão do CTe, justamente por não oferecerem o Protocolo TLS 1.2 ou superior, e compatibilidade com o Microsoft .NET Framework 4.6.2.
  • Para tornar mais fácil a compreensão dessa questão, confira abaixo quais as versões do Windows onde não será mais possível emitir o conhecimento de transporte eletrônico, bem como as versões onde a emissão permanecerá compatível:



  • VersãoTLSMicrosoft .NET Framework 4.6.2Emissão CT-e/NF-eWindows XPNãoNãoIncompatívelWindows VistaNãoNãoIncompatívelWindows 7SimNãoIncompatívelWindows 7 – SP1SimSimCompatívelWindows 8SimNãoIncompatívelWindows 8.1SimSimCompatívelWindows 10SimSimCompatívelWindows Server 2003NãoNãoIncompatívelWindows Server 2008SimNãoIncompatívelWindows Server 2008 – SP2SimNãoIncompatívelWindows Server 2008 R2 – SP1SimSimCompatívelWindows Server 2018SimSimCompatívelWindows Server 2012 R2SimSimCompatívelWindows Server 2016SimSimCompatível


  • O que precisa ser feito para usar o Protocolo TLS?

  • Dado este fato, é importante certificar-se de que o sistema operacional instalado no computador seja compatível com o protocolo TLS 1.2 e o Microsoft .NET Framework 4.6.2.
  • A partir de Abril, os WebServices de autorização da SEFAZ recepcionarão APENAS os XMLs que forem transmitidos por meio deste novo formato, NÃO serão recepcionados os arquivos XMLs que forem transmitidos por meio do protocolo SSL.
  • Sendo assim, caso a alteração do padrão de comunicação não seja efetuada, ocorrerão problemas na tentativa de emissão do Conhecimento de Transporte Eletrônico, e o CTe não será validado.
  • Se o seu sistema operacional não é compatível com o Protocolo TLS conforme a tabela citada anteriormente, procure migrar para um sistema operacional compatível o mais breve possível, e evite que suas operações fiquem paralisadas até a regulamentação.
  • Mesmo que a versão esteja como compatível, em alguns casos é necessário que as atualizações do windows estejam em dia, como no caso do Windows  – SP1.
  • Caso seu sistema operacional seja compatível e atualizado, fique tranquilo. Não será preciso realizar a migração. Basta apenas verificar se o protocolo TLS está marcado nas Opções da Internet, aba Avançadas, no final da barra de rolagem.

Atualizações do Windows Necessárias

WINDOWS 7

  • KB2992611
  • KB3080079
  • KB3140245